bug-bash
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: popd controlled free (Segmentation fault) with bash 4.2.47, 4.3.48,


From: Chet Ramey
Subject: Re: popd controlled free (Segmentation fault) with bash 4.2.47, 4.3.48, and 4.4.5
Date: Sat, 26 Nov 2016 08:41:48 -0500
User-agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.11; rv:45.0) Gecko/20100101 Thunderbird/45.5.0

On 11/26/16 12:51 AM, Mike Frysinger wrote:
> On 21 Nov 2016 10:13, Chet Ramey wrote:
>> On 11/21/16 6:47 AM, address@hidden wrote:
>>> Bash Version: 4.2.47, 4.3.48, 4.4.5
>>> Release Status: release
>>> OpenSUSE bug: 1010845
>>> CVE: 2016-9401
>>>
>>> Description:
>>>     popd controlled free (Segmentation fault) in all bash versions here 
>>> around
>>
>> This has been fixed for a couple of weeks in the devel branch.
> 
> can you cut a patch ?

Sure.  It's not a security problem; it just seg faults.


-- 
``The lyf so short, the craft so long to lerne.'' - Chaucer
                 ``Ars longa, vita brevis'' - Hippocrates
Chet Ramey, UTech, CWRU    address@hidden    http://cnswww.cns.cwru.edu/~chet/

Attachment: popd-offset-overflow.patch
Description: Text Data

Attachment: signature.asc
Description: OpenPGP digital signature


reply via email to

[Prev in Thread] Current Thread [Next in Thread]